Bug 1826632 - RFE: add nginx 1.18 module stream
Summary: RFE: add nginx 1.18 module stream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: nginx
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Luboš Uhliarik
QA Contact: Jakub Heger
Lenka Špačková
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-22 07:56 UTC by Luboš Uhliarik
Modified: 2020-12-14 13:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.A new module stream: `nginx:1.18` The `nginx 1.18` web and proxy server, which provides a number of bug fixes, security fixes, new features and enhancements over version 1.16, is now available. Notable changes include: * Enhancements to HTTP request rate and connection limiting have been implemented. For example, the `limit_rate` and `limit_rate_after` directives now support variables, including new `$limit_req_status` and `$limit_conn_status` variables. In addition, dry-run mode has been added for the `limit_conn_dry_run` and `limit_req_dry_run` directives. * A new `auth_delay` directive has been added, which enables delayed processing of unauthorized requests. * The following directives now support variables: `grpc_pass`, `proxy_upload_rate`, and `proxy_download_rate`. * Additional PROXY protocol variables have been added, namely `$proxy_protocol_server_addr` and `$proxy_protocol_server_port`. // For details, see https://nginx.org/en/CHANGES-1.18 To install the `nginx:1.18` stream, use: [literal] ---- # yum module install nginx:1.18 ---- If you want to upgrade from the `nginx:1.16` stream, see link:https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html-single/installing_managing_and_removing_user-space_components/index#switching-to-a-later-stream_managing-versions-of-appstream-content[Switching to a later stream].
Clone Of:
Environment:
Last Closed: 2020-11-04 03:16:18 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2020:4716 0 None None None 2020-11-04 03:16:21 UTC

Description Luboš Uhliarik 2020-04-22 07:56:54 UTC
Description of problem:
Add nginx 1.18 as a new module stream in RHEL 8.3.

Version-Release number of selected component (if applicable):
nginx:1.18 module stream

How reproducible:
always

Steps to Reproduce:
1. yum module install nginx:1.18

Expected results:
success

Additional info:

Comment 9 Mike Murphy 2020-06-24 20:36:25 UTC
Making a request to get this backported to RHEL 7.x if possible. Thanks.

Comment 16 errata-xmlrpc 2020-11-04 03:16:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (new module: nginx:1.18), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:4716


Note You need to log in before you can comment on or make changes to this bug.